Endpoint Groups
Shares
Shares operations within the Notebooks API group.
List notebook folder sharesGET
/notebooks/folders/{folderId}/shares
Operation ID
listNotebookFolderSharesPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
folderId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Share notebook folderPOST
/notebooks/folders/{folderId}/shares
Operation ID
shareNotebookFolderPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
folderId |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Remove notebook folder shareDELETE
/notebooks/folders/{folderId}/shares/{principalName}
Operation ID
unshareNotebookFolderPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
folderId |
string |
true |
- |
principalName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
List notebook sharesGET
/notebooks/{notebookId}/shares
Operation ID
listNotebookSharesPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
notebookId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Share notebookPOST
/notebooks/{notebookId}/shares
Operation ID
shareNotebookPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
notebookId |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Remove notebook shareDELETE
/notebooks/{notebookId}/shares/{principalName}
Operation ID
unshareNotebookPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
notebookId |
string |
true |
- |
principalName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |